Get sub-account limits
curl --request GET \
--url https://staging.apimonaco.xyz/api/v1/accounts/sub-accounts/{subAccountId}/limits \
--header 'X-Monaco-Signature: <api-key>'import requests
url = "https://staging.apimonaco.xyz/api/v1/accounts/sub-accounts/{subAccountId}/limits"
headers = {"X-Monaco-Signature": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Monaco-Signature': '<api-key>'}};
fetch('https://staging.apimonaco.xyz/api/v1/accounts/sub-accounts/{subAccountId}/limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"limits": [
{
"id": "987e6543-e21b-12d3-a456-426614174000",
"subAccountId": "123e4567-e89b-12d3-a456-426614174000",
"token": "0x6a86da986797d59a839d136db490292cd560c131",
"dailyLimit": "1000.00",
"usedToday": "250.50",
"createdAt": "2023-11-13T10:30:00Z",
"updatedAt": "2023-11-13T10:30:00Z",
"masterAccountId": "123e4567-e89b-12d3-a456-426614174001",
"maxAmount": "1500.00",
"lastResetAt": "2023-11-13T00:00:00Z",
"isActive": true
}
]
}Account Limits
Get sub-account limits
Get sub-account limits.
Get all limits for a sub-account. Users can only view limits for their own accounts or their sub-accounts.
GET
/
api
/
v1
/
accounts
/
sub-accounts
/
{subAccountId}
/
limits
Get sub-account limits
Authorizations
monacoSignaturemonacoHttpSignature
Ed25519 session-key request signing. Every authenticated request carries three headers: X-Monaco-PublicKey (64-char lowercase-hex session public key), X-Monaco-Timestamp (Unix milliseconds, within 30s of server time), and X-Monaco-Signature (hex ed25519 signature). The signature is over METHOD\npath?query\ntimestamp_ms\nSHA256_hex(body), where the body hash is the SHA-256 of the empty byte string when there is no body. Obtain the session keypair from POST /api/v1/auth/challenge followed by POST /api/v1/auth/verify.
Path Parameters
Response
OK
Show child attributes
Show child attributes
Was this page helpful?

